Bug 196676 - Breakpoint annotations in full remote projects are visible only while debugging
Breakpoint annotations in full remote projects are visible only while debugging
Product: cnd
Classification: Unclassified
Component: Debugger
PC All
: P1 (vote)
: 7.0
Assigned To: Egor Ushakov
Depends on:
  Show dependency treegraph
Reported: 2011-03-14 14:02 UTC by Alexander Pepin
Modified: 2011-03-25 06:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT


Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Pepin 2011-03-14 14:02:18 UTC
Steps to reproduce:
- create a full remote project
- set a Line BP in the source file, BP appears in the Breakpoints table but an appropriate annotation is not shown in the editor, moreover "Go To Source" BP context menu item is "grayed"
- do step into project, BP annotation appears in the editor
- finish debug session
Result: BP annotation disappears.
Comment 1 Alexander Pepin 2011-03-14 15:07:33 UTC
If a BP was added during debug session then it remains when the debug session is finished.
Comment 2 Egor Ushakov 2011-03-14 17:50:22 UTC
fixed in trunk:
Comment 3 Egor Ushakov 2011-03-14 17:50:46 UTC
Vladimir, please review
Comment 4 Quality Engineering 2011-03-15 09:48:07 UTC
Integrated into 'main-golden', will be available in build *201103150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4d80696d455e
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #196676 (Breakpoint annotations in full remote projects are visible only while debugging)
Comment 5 Alexander Pepin 2011-03-15 14:30:21 UTC
verified in dev build #4974
Comment 6 Vladimir Voskresensky 2011-03-15 15:21:05 UTC
I've reviewed commits and they look correct
Comment 7 Egor Ushakov 2011-03-16 17:48:41 UTC
integrated into release70:
Comment 8 Alexander Pepin 2011-03-18 11:35:22 UTC
verified in RC1 build 20110317

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo